## org.gnu.gdk
Class EventType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.EventType

public class EventType
extends org.gnu.glib.Enum

Specifies the type of the Event.

Field Summary
`static EventType` `BUTTON_PRESS`
`static EventType` `BUTTON_RELEASE`
`static EventType` `BUTTON2_PRESS`
`static EventType` `BUTTON3_PRESS`
`static EventType` `CLIENT_EVENT`
`static EventType` `CONFIGURE`
`static EventType` `DELETE`
`static EventType` `DESTROY`
`static EventType` `DRAG_ENTER`
`static EventType` `DRAG_LEAVE`
`static EventType` `DRAG_MOTION`
`static EventType` `DRAG_STATUS`
`static EventType` `DROP_FINISHED`
`static EventType` `DROP_START`
`static EventType` `ENTER_NOTIFY`
`static EventType` `EXPOSE`
`static EventType` `FOCUS_CHANGE`
`static EventType` `KEY_PRESS`
`static EventType` `KEY_RELEASE`
`static EventType` `LEAVE_NOTIFY`
`static EventType` `MAP`
`static EventType` `MOTION_NOTIFY`
`static EventType` `NO_EXPOSE`
`static EventType` `NOTHING`
`static EventType` `OWNER_CHANGE`
`static EventType` `PROPERTY_NOTIFY`
`static EventType` `PROXIMITY_IN`
`static EventType` `PROXIMITY_OUT`
`static EventType` `SCROLL`
`static EventType` `SELECTION_CLEAR`
`static EventType` `SELECTION_NOTIFY`
`static EventType` `SELECTION_REQUEST`
`static EventType` `SETTING`
`static EventType` `STATE`
`static EventType` `UNMAP`
`static EventType` `VISIBILITY_NOTIFY`

Method Summary
`EventType` `and(EventType other)`
`static EventType` `intern(int value)`
`EventType` `or(EventType other)`
`boolean` `test(EventType other)`
`EventType` `xor(EventType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTHING

    public static final EventType NOTHING

### DELETE

    public static final EventType DELETE

### DESTROY

    public static final EventType DESTROY

### EXPOSE

    public static final EventType EXPOSE

### MOTION_NOTIFY

    public static final EventType MOTION_NOTIFY

### BUTTON_PRESS

    public static final EventType BUTTON_PRESS

### BUTTON2_PRESS

    public static final EventType BUTTON2_PRESS

### BUTTON3_PRESS

    public static final EventType BUTTON3_PRESS

### BUTTON_RELEASE

    public static final EventType BUTTON_RELEASE

### KEY_PRESS

    public static final EventType KEY_PRESS

### KEY_RELEASE

    public static final EventType KEY_RELEASE

### ENTER_NOTIFY

    public static final EventType ENTER_NOTIFY

### LEAVE_NOTIFY

    public static final EventType LEAVE_NOTIFY

### FOCUS_CHANGE

    public static final EventType FOCUS_CHANGE

### CONFIGURE

    public static final EventType CONFIGURE

### MAP

    public static final EventType MAP

### UNMAP

    public static final EventType UNMAP

### PROPERTY_NOTIFY

    public static final EventType PROPERTY_NOTIFY

### SELECTION_CLEAR

    public static final EventType SELECTION_CLEAR

### SELECTION_REQUEST

    public static final EventType SELECTION_REQUEST

### SELECTION_NOTIFY

    public static final EventType SELECTION_NOTIFY

### PROXIMITY_IN

    public static final EventType PROXIMITY_IN

### PROXIMITY_OUT

    public static final EventType PROXIMITY_OUT

### DRAG_ENTER

    public static final EventType DRAG_ENTER

### DRAG_LEAVE

    public static final EventType DRAG_LEAVE

### DRAG_MOTION

    public static final EventType DRAG_MOTION

### DRAG_STATUS

    public static final EventType DRAG_STATUS

### DROP_START

    public static final EventType DROP_START

### DROP_FINISHED

    public static final EventType DROP_FINISHED

### CLIENT_EVENT

    public static final EventType CLIENT_EVENT

### VISIBILITY_NOTIFY

    public static final EventType VISIBILITY_NOTIFY

### NO_EXPOSE

    public static final EventType NO_EXPOSE

### SCROLL

    public static final EventType SCROLL

### STATE

    public static final EventType STATE

### SETTING

    public static final EventType SETTING

### OWNER_CHANGE

    public static final EventType OWNER_CHANGE

Method Detail

### intern

    public static EventType intern(int value)

### or

    public EventType or(EventType other)

### and

    public EventType and(EventType other)

### xor

    public EventType xor(EventType other)

### test

    public boolean test(EventType other)